summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZoltan Puskas <zoltan@sinustrom.info>2019-11-18 21:33:36 -0800
committerJoonas Niilola <juippis@gentoo.org>2019-12-17 20:14:10 +0200
commitd803bcc76af333e6c24eeb85436be906d92e1ba1 (patch)
treef67e88f31073c88ffc12911a490878cbfd10f8d2 /app-doc
parentsci-electronics/kicad-i18n: Bump to 5.1.5 version (diff)
downloadgentoo-d803bcc76af333e6c24eeb85436be906d92e1ba1.tar.gz
gentoo-d803bcc76af333e6c24eeb85436be906d92e1ba1.tar.bz2
gentoo-d803bcc76af333e6c24eeb85436be906d92e1ba1.zip
app-doc/kicad-doc: Bump to 5.1.5 version
Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Zoltan Puskas <zoltan@sinustrom.info> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'app-doc')
-rw-r--r--app-doc/kicad-doc/Manifest1
-rw-r--r--app-doc/kicad-doc/kicad-doc-5.1.5.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/app-doc/kicad-doc/Manifest b/app-doc/kicad-doc/Manifest
index e7fd16327a4..8fddf1b8c08 100644
--- a/app-doc/kicad-doc/Manifest
+++ b/app-doc/kicad-doc/Manifest
@@ -4,3 +4,4 @@ DIST kicad-doc-5.0.1.tar.gz 68998124 BLAKE2B 89c89f76ea17fd95dc8657b415675f5665a
DIST kicad-doc-5.1.0.tar.gz 74965788 BLAKE2B 843d59ec1aa9bb503997e8cb373034fcd6bbd8579e0f683cf631ff1c05b5e25464ccb4be37528d322414b5dcc01858c8b3cd4ae51994258b46263f61f8c26e38 SHA512 1776f5d98661ebabaaf08ebb0af5c4019d5cea89871f7d5e43ebd44945a56baf2de746c5f65854e9047ab82cd087766c6da538b5de8440e72f9ed82f2cd0a073
DIST kicad-doc-5.1.2.tar.gz 75313181 BLAKE2B 20c306029362c7d838002954c0ee146401d1273320450af08969ac9f1cfd01f97e516edd7c8800c5669c63b6c33c32437ec51633bdbcaa18c634673fd458fbab SHA512 65427831c3df0a91acd6d89e18586d4d05060d333d1a09819d7bc2b80155906899f5bc69b1eb64e45c05a294df16071b6e954bc069f1824017f996dd652ec9b1
DIST kicad-doc-5.1.4.tar.gz 75365956 BLAKE2B 8199d1f32483a55523416a8c25e11c43ad5820adfb9861ea7a21e45c7b4a1a0d12ed58d63d0e96c20bba766a9f51570047c55d71f994257e899fa0b5d9bc868a SHA512 5eb92f95a151864442ff770506cf8664f38d4a8e2054a63bd63c042235231137a8de34049d6edb977e109989a44862babd20a6a836642d1797ba94e1e42bb00e
+DIST kicad-doc-5.1.5.tar.gz 75372826 BLAKE2B 89e9f57009446ee7e6560f97c8e4de61250faa337ff9777d6d73f879bf3fb4575d7df878a2fe78cde48fe3884fdb5be69f9b807731232480550e6b214191cfa5 SHA512 52d06d67df25cf67fb2507a788f414bf3f83569d9cefe0763b9f65e014c1f863bdc3cc6a0d1fb843bd89129118bab117a8c9f83eef4e475bfb4fa853822b2fe5
diff --git a/app-doc/kicad-doc/kicad-doc-5.1.5.ebuild b/app-doc/kicad-doc/kicad-doc-5.1.5.ebuild
new file mode 100644
index 00000000000..c98f840824d
--- /dev/null
+++ b/app-doc/kicad-doc/kicad-doc-5.1.5.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+DESCRIPTION="Electronic Schematic and PCB design tools manuals"
+HOMEPAGE="http://www.kicad-pcb.org/"
+SRC_URI="https://github.com/KiCad/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( GPL-3+ CC-BY-3.0 ) GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="html +pdf"
+LANG_USE=" l10n_ca l10n_de l10n_en l10n_es l10n_fr l10n_id l10n_it l10n_ja l10n_pl l10n_ru l10n_zh"
+IUSE+=${LANG_USE}
+REQUIRED_USE="|| ( html pdf ) ^^ ( ${LANG_USE} )"
+unset LANG_USE
+
+BDEPEND="
+ >=app-text/asciidoc-8.6.9
+ >=app-text/dblatex-0.3.10
+ >=app-text/po4a-0.45
+ >=sys-devel/gettext-0.18
+ dev-perl/Unicode-LineBreak
+ dev-util/source-highlight
+ l10n_ca? ( dev-texlive/texlive-langspanish )
+ l10n_de? ( dev-texlive/texlive-langgerman )
+ l10n_en? ( dev-texlive/texlive-langenglish )
+ l10n_es? ( dev-texlive/texlive-langspanish )
+ l10n_fr? ( dev-texlive/texlive-langfrench )
+ l10n_it? ( dev-texlive/texlive-langitalian )
+ l10n_ja? ( dev-texlive/texlive-langjapanese media-fonts/vlgothic )
+ l10n_pl? ( dev-texlive/texlive-langpolish )
+ l10n_ru? ( dev-texlive/texlive-langcyrillic )
+ l10n_zh? ( dev-texlive/texlive-langchinese )"
+RDEPEND=""
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_FORMATS="$(usev html);$(usev pdf)"
+ -DSINGLE_LANGUAGE="${L10N}"
+ -DKICAD_DOC_PATH="${EPREFIX}/usr/share/doc/${P}/help"
+ )
+ cmake-utils_src_configure
+}